io.milvus.v2.exception

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - io.milvus.v2.exception.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ErrorCode>

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT_ERROR`
    `COLLECTION_NOT_FOUND`
    `INVALID_PARAMS`
    `RPC_ERROR`
    `SERVER_ERROR`
    `SUCCESS`
    `TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final ErrorCode SUCCESS

    - #### COLLECTION_NOT_FOUND

          public static final ErrorCode COLLECTION_NOT_FOUND

    - #### SERVER_ERROR

          public static final ErrorCode SERVER_ERROR

    - #### INVALID_PARAMS

          public static final ErrorCode INVALID_PARAMS

    - #### CLIENT_ERROR

          public static final ErrorCode CLIENT_ERROR

    - #### RPC_ERROR

          public static final ErrorCode RPC_ERROR

    - #### TIMEOUT

          public static final ErrorCode TIMEOUT

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null